| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
uiVisPickRetriever Class Reference
uiVis

`#include <uivispickretriever.h>`

Inheritance diagram for uiVisPickRetriever:
[legend]

## Public Member Functions
| uiVisPickRetriever (uiVisPartServer *)
void | addScene (visSurvey::Scene *)
bool | enable (const TypeSet< SceneID > *allowedscenes) override
NotifierAccess * | finished () override
Pos::GeomID | getGeomID () const override
const TypeSet< VisID > & | getPickedObjIDs () const override
const Coord3 & | getPos () const override
SceneID | getSceneID () const override
int | getTrcNr () const override
const ZAxisTransform * | getZAxisTransform () const override
void | removeScene (visSurvey::Scene *)
void | reset () override
bool | success () const override
SceneID | unTransformedSceneID () const override
bool | waiting () const override
Public Member Functions inherited from SharedObject
| SharedObject (const char *nm=nullptr)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Protected Types
enum | Status { Idle , Waiting , Failed , Success }

## Protected Member Functions
| ~uiVisPickRetriever ()
void | pickCB (CallBacker *)
void | resetPickedPos ()
Protected Member Functions inherited from PickRetriever
| PickRetriever ()
| ~PickRetriever ()
Protected Member Functions inherited from SharedObject
| ~SharedObject ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Protected Attributes
TypeSet< SceneID > | allowedscenes_
Notifier< uiVisPickRetriever > | finished_
Pos::GeomID | pickedgeomid_
TypeSet< VisID > | pickedobjids_
Coord3 | pickedpos_
SceneID | pickedscene_
int | pickedtrcnr_
Status | status_ = Idle
uiVisPartServer * | visserv_
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from PickRetriever
static PickRetriever * | getInstance ()
static const WeakPtr< PickRetriever > & | instance (PickRetriever *newpr=nullptr)
Static Public Member Functions inherited from SharedObject
static Notifier< SharedObject > & | instanceCreated ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)
Public Attributes inherited from PickRetriever
OD::ButtonState | buttonstate_

## Detailed Description

<>

## Member Enumeration Documentation

## ◆ Status

enum uiVisPickRetriever::Status
| protected

Enumerator
Idle |
Waiting |
Failed |
Success |

## Constructor & Destructor Documentation

## ◆ uiVisPickRetriever()

uiVisPickRetriever::uiVisPickRetriever | ( | uiVisPartServer * |  | ) |

## ◆ ~uiVisPickRetriever()

uiVisPickRetriever::~uiVisPickRetriever | ( |  | ) |
| protected

## Member Function Documentation

## ◆ addScene()

void uiVisPickRetriever::addScene | ( | visSurvey::Scene * |  | ) |

## ◆ enable()

bool uiVisPickRetriever::enable | ( | const TypeSet< SceneID > * | allowedsc | ) |
| override virtual

Sets the object in a state where it's retrieving picks.

Note
  if allowedsc is empty or null, picks are allowed in all scenes.

Implements PickRetriever.

## ◆ finished()

NotifierAccess * uiVisPickRetriever::finished | ( |  | ) |
| inline override virtual

Triggers when it does not look for pick any longer. The outcome can be retrieved bu success(), getPos() and getSceneID().

Implements PickRetriever.

## ◆ getGeomID()

Pos::GeomID uiVisPickRetriever::getGeomID | ( |  | ) | const
| inline override virtual

Implements PickRetriever.

## ◆ getPickedObjIDs()

const TypeSet< VisID > & uiVisPickRetriever::getPickedObjIDs | ( |  | ) | const
| inline override virtual

Implements PickRetriever.

## ◆ getPos()

const Coord3 & uiVisPickRetriever::getPos | ( |  | ) | const
| inline override virtual

Implements PickRetriever.

## ◆ getSceneID()

SceneID uiVisPickRetriever::getSceneID | ( |  | ) | const
| inline override virtual

Implements PickRetriever.

## ◆ getTrcNr()

int uiVisPickRetriever::getTrcNr | ( |  | ) | const
| inline override virtual

Implements PickRetriever.

## ◆ getZAxisTransform()

const ZAxisTransform * uiVisPickRetriever::getZAxisTransform | ( |  | ) | const
| override virtual

Implements PickRetriever.

## ◆ pickCB()

void uiVisPickRetriever::pickCB | ( | CallBacker * |  | ) |
| protected

## ◆ removeScene()

void uiVisPickRetriever::removeScene | ( | visSurvey::Scene * |  | ) |

## ◆ reset()

void uiVisPickRetriever::reset | ( |  | ) |
| override virtual

Implements PickRetriever.

## ◆ resetPickedPos()

void uiVisPickRetriever::resetPickedPos | ( |  | ) |
| protected

## ◆ success()

bool uiVisPickRetriever::success | ( |  | ) | const
| inline override virtual

Implements PickRetriever.

## ◆ unTransformedSceneID()

SceneID uiVisPickRetriever::unTransformedSceneID | ( |  | ) | const
| override virtual

Implements PickRetriever.

## ◆ waiting()

bool uiVisPickRetriever::waiting | ( |  | ) | const
| inline override virtual

Implements PickRetriever.

## Member Data Documentation

## ◆ allowedscenes_

TypeSet<SceneID> uiVisPickRetriever::allowedscenes_
| protected

## ◆ finished_

Notifier<uiVisPickRetriever> uiVisPickRetriever::finished_
| protected

## ◆ pickedgeomid_

Pos::GeomID uiVisPickRetriever::pickedgeomid_
| protected

## ◆ pickedobjids_

TypeSet<VisID> uiVisPickRetriever::pickedobjids_
| protected

## ◆ pickedpos_

Coord3 uiVisPickRetriever::pickedpos_
| protected

## ◆ pickedscene_

SceneID uiVisPickRetriever::pickedscene_
| protected

## ◆ pickedtrcnr_

int uiVisPickRetriever::pickedtrcnr_
| protected

## ◆ status_

Status uiVisPickRetriever::status_ = Idle
| protected

## ◆ visserv_

uiVisPartServer* uiVisPickRetriever::visserv_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025